"use strict";

function setFavorite(val) {
    var chkbx = $("#filter-favorite-chkbx");
    chkbx.val(val);
    $("#filter-favorite").val(val);
    if(val === 0) {
        chkbx.prop('indeterminate', false);
        chkbx.prop('checked', false);
    }
    else if (val === 1) {
        chkbx.prop('indeterminate', false);
        chkbx.prop('checked', true);
    }
    else if (val === 2) {
        chkbx.prop('indeterminate', true);
        chkbx.prop('checked', true);
    }
}

function initSearch(favorite) {
    $(document).ready(function() {

        $("#toggle-search").click(function(){
            $("#advanced-form").toggle();
        });
        $(".date").datepicker({ dateFormat: 'yy-mm-dd' });

        setFavorite(favorite);

        $("#filter-favorite-chkbx").click(function (e) {
            var chkbx = $(e.target);
            // value must be in 0 (undefined), 1 (true), 2 (false)
            var val = ($("#filter-favorite").val()+1)%3;
            setFavorite(val);
        });
    });
}
